Bug 617105 - (CVE-2010-2528) CVE-2010-2528 pidgin: ICQ X-Status denial of service (NULL deref)
CVE-2010-2528 pidgin: ICQ X-Status denial of service (NULL deref)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,source=upstream,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-22 04:01 EDT by Tomas Hoger
Modified: 2016-03-04 05:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-30 04:40:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2010-07-22 04:01:06 EDT
Mark Doliner, upstream pidgin/libpurple developer, discovered a NULL pointer dereference flaw in the way libpurple handled certain malformed X-Status messages in ICQ/Oscar protocol.  This flaw could allow remote attacker to crash victim's instant messenger application using libpurple such as pidgin.

This issue only affected pidgin/libpurple versions 2.7.x and was fixed in upstream version 2.7.2.

Upstream security advisory:
http://pidgin.im/news/security/?id=47

Upstream commit:
http://developer.pidgin.im/viewmtn/revision/info/8e8ff246492e45af8f8d0808296d6f2906794dc0

Statement:

Not vulnerable.  This issue did not affect the versions of pidgin as shipped with Red Hat Enterprise Linux 3, 4, or 5.
Comment 1 Fedora Update System 2010-07-26 22:36:07 EDT
pidgin-2.7.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 2 Fedora Update System 2010-07-30 04:34:29 EDT
pidgin-2.7.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.